{ ... }:
let
  overlay=
    (
      final: prev:
      let
        finalAttrs = final.vmware-workstation;
        baseUrl = "https://softwareupdate.vmware.com/cds/vmw-desktop/ws/${finalAttrs.version}/${finalAttrs.build}/linux";
      in
      {
        vmware-workstation = prev.vmware-workstation.overrideAttrs {
          src =
            prev.requireFile rec {
              name = "VMware-Workstation-${finalAttrs.version}-${finalAttrs.build}.x86_64.bundle.tar";
              url = "${baseUrl}/core/${name}";
              hash = "sha256-FzcS/koLJTXiUWH5H1Au0Eiz8VAH8mboidkQeDLRPmQ=";
            }
            + "/VMware-Workstation-${finalAttrs.version}-${finalAttrs.build}.x86_64.bundle";
        };
      }
    );
in
{
  nixpkgs.overlays = [ overlay ];
}
